Bug 155385 - complaint about geli(8) manpage
Summary: complaint about geli(8) manpage
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Jakub Dawidek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-08 23:00 UTC by Lena
Modified: 2011-06-14 12:00 UTC (History)
0 users

See Also:


Attachments
smime.p7s (5.60 KB, application/x-pkcs7-signature)
2011-03-09 10:06 UTC, maxwell.conrad
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lena 2011-03-08 23:00:18 UTC
There is a phrase in geli man pages that I would classify as sexist:

     "Create an encrypted provider, but use two keys: one for your girlfriend
     and one for you (so there will be no tragedy if she forgets her
     passphrase):"

The problem I see is that this kind of statements (transmitting implicitely that System Manager is a male and his girlfriend is stupid) can give really negative image of freeBSD community, also it is possible that female users feel ofended and withdraw from using this OS. As a female user of free software, I have to say that being treated without prejudices is rare in IT communities, integration is difficult and surely this kind of behaviour does not help.

Fix: 

1#
     Create an encrypted provider, but use two keys: one for your partner
     and one for you (so there will be no tragedy if he/she forgets his/her
     passphrase):

2#
     Create an encrypted provider, but use two keys: one for your partner
     and one for you (so there will be no tragedy if the partner forgets his/her
     passphrase):
How-To-Repeat: man geli
Comment 1 Garrett Wollman 2011-03-08 23:08:20 UTC
In article <201103082258.p28Mwn4M026411@red.freebsd.org>,
mirto@riseup.net writes:

>There is a phrase in geli man pages that I would classify as sexist:
>
>     "Create an encrypted provider, but use two keys: one for your girlfriend
>     and one for you (so there will be no tragedy if she forgets her
>     passphrase):"

To assume that "you" must be male and describe this as "sexist" is
heteronormative.

-GAWollman
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-03-09 04:58:03 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-doc

Reclassify out of misc/.
Comment 3 Pawel Jakub Dawidek freebsd_committer 2011-03-09 07:39:19 UTC
State Changed
From-To: open->patched

Fix committed to HEAD. 


Comment 4 Pawel Jakub Dawidek freebsd_committer 2011-03-09 07:39:19 UTC
Responsible Changed
From-To: freebsd-doc->pjd

I'll take this one.
Comment 5 dfilter service freebsd_committer 2011-03-09 07:44:12 UTC
Author: pjd
Date: Wed Mar  9 07:43:51 2011
New Revision: 219424
URL: http://svn.freebsd.org/changeset/base/219424

Log:
  Change example to not be controversial.
  I'm sorry to anyone who felt offended by this.
  
  PR:		docs/155385
  Reported by:	maga_lena <mirto@riseup.net>
  MFC after:	1 week

Modified:
  head/sbin/geom/class/eli/geli.8

Modified: head/sbin/geom/class/eli/geli.8
==============================================================================
--- head/sbin/geom/class/eli/geli.8	Wed Mar  9 06:14:57 2011	(r219423)
+++ head/sbin/geom/class/eli/geli.8	Wed Mar  9 07:43:51 2011	(r219424)
@@ -24,7 +24,7 @@
 .\"
 .\" $FreeBSD$
 .\"
-.Dd December 3, 2010
+.Dd March 9, 2011
 .Dt GELI 8
 .Os
 .Sh NAME
@@ -694,15 +694,17 @@ Enter passphrase:
 .Ed
 .Pp
 Create an encrypted provider, but use two keys:
-one for your girlfriend and one for
-you (so there will be no tragedy if she forgets her passphrase):
+one for your employee and one for you as company's security officer
+(so there is no tragedy if the employee
+.Qq accidentally
+forgets his passphrase):
 .Bd -literal -offset indent
 # geli init /dev/da2
-Enter new passphrase:	(enter your passphrase)
+Enter new passphrase:	(enter security officer passphrase)
 Reenter new passphrase:
 # geli setkey -n 1 /dev/da2
-Enter passphrase:	(enter your passphrase)
-Enter new passphrase:	(let your girlfriend enter her passphrase ...)
+Enter passphrase:	(enter security officer passphrase)
+Enter new passphrase:	(let your employee enter his passphrase ...)
 Reenter new passphrase:	(... twice)
 .Ed
 .Pp
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 6 randi freebsd_committer 2011-03-09 08:31:15 UTC
As a female committer, I have to say that you're asking to be treated
differently by proposing  unnecessary changes in such a fashion. While
the wording could have been better in regards to being more
professional (such as the patch that pjd committed), saying that a
female isn't going to use FreeBSD because of a humorous statement in a
man page is ridiculous.

If you don't want to see prejudice in IT communities, stop making
everything a gender issue. Instead, if you would like to see more
changes in the future, propose a phrasing that is more professional
and leave your gender out of it.

-- randi
Comment 7 Garrett Cooper 2011-03-09 23:33:21 UTC
    1. Who says the subject was a male actor in the first place :)?
    2. What would you think if it was flipped around to state:

     Create an encrypted provider, but use two keys: one for your boyfriend
     and one for you (so there will be no tragedy if she forgets her
     passphrase):

    I doubt anyone would care.
Thanks,
-Garrett
Comment 8 dfilter service freebsd_committer 2011-06-14 11:49:27 UTC
Author: gjb (doc committer)
Date: Tue Jun 14 10:49:18 2011
New Revision: 223074
URL: http://svn.freebsd.org/changeset/base/223074

Log:
  MFC 216147 [1], 219424 [2]:
  
  216147 by delphij [1]:
   - Recommend a overwrite of whole geli provider before use.
   - Correct a typo.
  
  219424 by pjd [2]:
   - Change example wording.
  
  PR:		155385 [2]

Modified:
  stable/8/sbin/geom/class/eli/geli.8
Directory Properties:
  stable/8/sbin/geom/   (props changed)
  stable/8/sbin/geom/class/multipath/   (props changed)
  stable/8/sbin/geom/class/part/   (props changed)
  stable/8/sbin/geom/class/sched/gsched.8   (props changed)
  stable/8/sbin/geom/class/stripe/   (props changed)

Modified: stable/8/sbin/geom/class/eli/geli.8
==============================================================================
--- stable/8/sbin/geom/class/eli/geli.8	Tue Jun 14 07:20:16 2011	(r223073)
+++ stable/8/sbin/geom/class/eli/geli.8	Tue Jun 14 10:49:18 2011	(r223074)
@@ -24,7 +24,7 @@
 .\"
 .\" $FreeBSD$
 .\"
-.Dd October 20, 2010
+.Dd March 9, 2011
 .Dt GELI 8
 .Os
 .Sh NAME
@@ -694,15 +694,17 @@ Enter passphrase:
 .Ed
 .Pp
 Create an encrypted provider, but use two keys:
-one for your girlfriend and one for
-you (so there will be no tragedy if she forgets her passphrase):
+one for your employee and one for you as company's security officer
+(so there is no tragedy if the employee
+.Qq accidentally
+forgets his passphrase):
 .Bd -literal -offset indent
 # geli init /dev/da2
-Enter new passphrase:	(enter your passphrase)
+Enter new passphrase:	(enter security officer passphrase)
 Reenter new passphrase:
 # geli setkey -n 1 /dev/da2
-Enter passphrase:	(enter your passphrase)
-Enter new passphrase:	(let your girlfriend enter her passphrase ...)
+Enter passphrase:	(enter security officer passphrase)
+Enter new passphrase:	(let your employee enter his passphrase ...)
 Reenter new passphrase:	(... twice)
 .Ed
 .Pp
@@ -842,7 +844,7 @@ Enter passphrase:
 .Nm
 supports two encryption modes:
 .Nm XTS ,
-which was standarized as
+which was standardized as
 .Nm IEE P1619
 and
 .Nm CBC
@@ -873,6 +875,10 @@ changes with the data he owns without no
 In other words
 .Nm
 will not protect your data against replay attacks.
+.Pp
+It is recommended to write the whole provider before the first use,
+in order to make sure that all sectors and their corresponding
+checksums are properly initialized into a consistent state.
 .Sh SEE ALSO
 .Xr crypto 4 ,
 .Xr gbde 4 ,
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2011-06-14 11:50:34 UTC
Author: gjb (doc committer)
Date: Tue Jun 14 10:50:16 2011
New Revision: 223076
URL: http://svn.freebsd.org/changeset/base/223076

Log:
  MFC 216147 [1], 219424 [2]:
  
  216147 by delphij [1]:
   - Recommend a overwrite of whole geli provider before use.
  
  219424 by pjd [2]:
   - Change example wording.
  
  PR:		155385 [2]

Modified:
  stable/7/sbin/geom/class/eli/geli.8
Directory Properties:
  stable/7/sbin/geom/   (props changed)
  stable/7/sbin/geom/class/journal/   (props changed)
  stable/7/sbin/geom/class/label/   (props changed)
  stable/7/sbin/geom/class/part/   (props changed)
  stable/7/sbin/geom/class/stripe/   (props changed)
  stable/7/sbin/geom/misc/   (props changed)

Modified: stable/7/sbin/geom/class/eli/geli.8
==============================================================================
--- stable/7/sbin/geom/class/eli/geli.8	Tue Jun 14 10:50:01 2011	(r223075)
+++ stable/7/sbin/geom/class/eli/geli.8	Tue Jun 14 10:50:16 2011	(r223076)
@@ -24,7 +24,7 @@
 .\"
 .\" $FreeBSD$
 .\"
-.Dd September 16, 2006
+.Dd March 9, 2011
 .Dt GELI 8
 .Os
 .Sh NAME
@@ -543,15 +543,17 @@ Enter passphrase:
 .Ed
 .Pp
 Create an encrypted provider, but use two keys:
-one for your girlfriend and one for
-you (so there will be no tragedy if she forgets her passphrase):
+one for your employee and one for you as company's security officer
+(so there is no tragedy if the employee
+.Qq accidentally
+forgets his passphrase):
 .Bd -literal -offset indent
 # geli init /dev/da2
-Enter new passphrase:	(enter your passphrase)
+Enter new passphrase:	(enter security officer passphrase)
 Reenter new passphrase:
 # geli setkey -n 1 /dev/da2
-Enter passphrase:	(enter your passphrase)
-Enter new passphrase:	(let your girlfriend enter her passphrase ...)
+Enter passphrase:	(enter security officer passphrase)
+Enter new passphrase:	(let your employee enter his passphrase ...)
 Reenter new passphrase:	(... twice)
 .Ed
 .Pp
@@ -643,6 +645,10 @@ changes with the data he owns without no
 In other words
 .Nm
 will not protect your data against replay attacks.
+.Pp
+It is recommended to write the whole provider before the first use,
+in order to make sure that all sectors and their corresponding
+checksums are properly initialized into a consistent state.
 .Sh SEE ALSO
 .Xr crypto 4 ,
 .Xr gbde 4 ,
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 10 Glen Barber freebsd_committer 2011-06-14 11:50:37 UTC
State Changed
From-To: patched->closed

MFCd to stable/8 and stable/7.